Package org.apache.sling.dynamicinclude

## Class CacheControlFilter

- java.lang.Object
- - org.apache.sling.dynamicinclude.CacheControlFilter

All Implemented Interfaces:
  `javax.servlet.Filter`

    public class CacheControlFilter
    extends java.lang.Object
    implements javax.servlet.Filter

### Constructor Summary

Constructors
`CacheControlFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `destroy()`
`void` `doFilter​(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` `init​(javax.servlet.FilterConfig filterConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheControlFilter

    public CacheControlFilter()

### Method Detail

#### doFilter

    public void doFilter​(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

Specified by:
  `doFilter` in interface `javax.servlet.Filter`
Throws:
  `java.io.IOException`
  `javax.servlet.ServletException`

#### init

    public void init​(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Filter`
Throws:
  `javax.servlet.ServletException`

#### destroy

    public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Filter`